This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1307490 - expatpp: FTBFS in rawhide
expatpp: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: expatpp (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:20 EST by Fedora Release Engineering
Modified: 2017-08-04 12:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: expatpp-0-11.20121019gitd8c1bf8.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 12:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (14.14 KB, text/plain)
2016-02-13 16:20 EST, Fedora Release Engineering
no flags Details
root.log (81.72 KB, text/plain)
2016-02-13 16:20 EST, Fedora Release Engineering
no flags Details
state.log (681 bytes, text/plain)
2016-02-13 16:20 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:20:15 EST
Your package expatpp failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12814674

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:20:17 EST
Created attachment 1124534 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:20:18 EST
Created attachment 1124535 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:20:20 EST
Created attachment 1124536 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:41:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Ralf Corsepius 2016-03-18 08:59:09 EDT
This FTBFS is caused by the package still using "fgets", a function which has long been deprecated and finally was removed from c++14.

This patch would make this package buildable again, but ...
diff -Naur expatpp.orig/test/testexpatpp.cpp expatpp/test/testexpatpp.cpp
--- expatpp.orig/test/testexpatpp.cpp   2016-03-18 13:34:09.834408700 +0100
+++ expatpp/test/testexpatpp.cpp        2016-03-18 13:40:50.457310799 +0100
@@ -82,7 +82,7 @@
                int depth = 0;

                puts("\n\nXML test: enter filename");
-               gets(filename);
+               fgets(filename,80,stdin);
                if (strlen(filename)==0)
                        break;


... due to the facts,
- nothing in Fedora seems to depend on this package

- its Fedora maintainer (mrceresa) seemingly is AWOL
  According to http://koji.fedoraproject.org/koji/userinfo?userID=1229
  no packaging activity since 2015-04-08

- its upstream appears dead.

I propose to drop this package from f24 and rawhide.


@mrceresa: Please consider to be part of an AWOL process and respond to this BZ. I will file a formal AWOL ticket against you with FESCO, otherwise.
Comment 6 Mario Ceresa 2016-08-30 04:54:59 EDT
Hi Ralf,
thanks for your mail. I'm okay to retire it. However, do you know how to check if nobody else is using this package?
I tried:
dnf repoquery --whatrequires expatpp

but I'm not sure if it is giving the correct information, especially considered that, for instance, I use gdcm as build-require InsightToolkit but it does not appear in the list.

Best,

Mario
Comment 7 Fedora Admin XMLRPC Client 2016-08-30 05:28:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2016-08-30 06:42:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2017-07-25 15:57:09 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Upstream Release Monitoring 2017-07-26 06:33:23 EDT
peter's expatpp-0-11.20121019gitd8c1bf8.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=924881
Comment 11 Fedora Update System 2017-07-26 06:37:14 EDT
expatpp-0-11.20121019gitd8c1bf8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-54ebfef817
Comment 12 Fedora Update System 2017-07-26 22:52:54 EDT
expatpp-0-11.20121019gitd8c1bf8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-54ebfef817
Comment 13 Upstream Release Monitoring 2017-07-31 07:32:19 EDT
fweimer's expatpp-0-12.20121019gitd8c1bf8.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=942190
Comment 14 Fedora Update System 2017-08-04 12:52:25 EDT
expatpp-0-11.20121019gitd8c1bf8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.